[erlang-questions] Patch package OTP 19.1.1 released

Ingela Anderton Andin <>
Thu Sep 29 15:30:23 CEST 2016


Patch Package:           OTP 19.1.1
Git Tag:                 OTP-19.1.1
Date:                    2016-09-29
Trouble Report Id:       OTP-13917, OTP-13918
Seq num:
System:                  OTP
Release:                 19
Application:             ssl-8.0.3
Predecessor:             OTP 19.1

  Check out the git tag OTP-19.1.1, and build a full OTP system
  including documentation. Apply one or more applications from this
  build as patches to your installation using the 'otp_patch_apply'
  tool. For information on install requirements, see descriptions for
  each application version below.

  ---------------------------------------------------------------------
  --- ssl-8.0.3 -------------------------------------------------------
  ---------------------------------------------------------------------

  Note! The ssl-8.0.3 application can *not* be applied independently of
        other applications on an arbitrary OTP 19 installation.

        On a full OTP 19 installation, also the following runtime
        dependency has to be satisfied:
        -- stdlib-3.1 (first satisfied in OTP 19.1)


  --- Fixed Bugs and Malfunctions ---

   OTP-13917    Application(s): ssl

                A timing related bug in event handling could cause
                interoperability problems between an erlang TLS server
                and some TLS clients, especially noticed with Firefox
                as TLS client.


   OTP-13918    Application(s): ssl

                Correct ECC curve selection, the error could cause the
                default to always be selected.


  Full runtime dependencies of ssl-8.0.3: crypto-3.3, erts-7.0,
  inets-5.10.7, kernel-3.0, public_key-1.2, stdlib-3.1


  ---------------------------------------------------------------------
  ---------------------------------------------------------------------



More information about the erlang-questions mailing list